package com.ruoyi.system.domain.vo;

import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.system.api.domain.SysUser;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;


/**
 * @author YaphetS
 */
public class SysUserVo implements Serializable {
    @ApiModelProperty("岗位名称")
    private String postName;

    /** 用户ID */
    @ApiModelProperty("用户序号")
    private Long userId;

    /** 部门ID */
    @ApiModelProperty("部门编号")
    private Long deptId;

    /** 用户账号 */
    @ApiModelProperty("登录名称")
    private String userName;

    /** 用户昵称 */
    @ApiModelProperty("用户名称")
    private String nickName;

    /** 用户邮箱 */
    @ApiModelProperty("用户邮箱")
    private String email;

    /** 手机号码 */
    @ApiModelProperty("手机号码")
    private String phonenumber;

    /** 用户性别 */
    @ApiModelProperty("用户性别")
    private String sex;


    /** 帐号状态（0正常 1停用） */
    @ApiModelProperty("帐号状态")
    private String status;
    public String getPostName() {
        return postName;
    }

    public void setPostName(String postName) {
        this.postName = postName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }
}
